<template>
  <section>
    <h1 class="text-primary h2 text-center" :class="{'mb-2 mb-md-3': excerpt}">
      {{ title }}
    </h1>
    <p class="excerpt h4 mb-3 text-center">
      {{ excerpt }}
    </p>
    <slot>
      <v-lazy-image
        v-if="image"
        :src-placeholder="image | image | imageSize('small')"
        :src="image | image"
        :alt="title"
        class="w-100 py-4 cover"
      />
    </slot>
    <article class="content pt-3" v-html="description" />
  </section>
</template>

<script>
export default {
  name: 'AppPageContent',
  props: {
    title: {
      type: String,
      required: false,
      default: null
    },
    excerpt: {
      type: String,
      required: false,
      default: null
    },
    image: {
      type: String,
      required: false,
      default: null
    },
    description: {
      type: String,
      required: false,
      default: null
    }
  }
}
</script>

<style lang="scss">
  //noinspection CssUnknownTarget
  @import "@/assets/scss/_variables.scss";
  @import "~bootstrap/scss/mixins/breakpoints";
  .cover {
    max-height: 30rem;
    object-fit: contain;
  }
  .excerpt {
    text-align: center;
    color: $secondary;
    @include media-breakpoint-down(sm) {
      font-size: $font-size-base;
    }
  }
  article.content {
    text-align: justify;
    color: $dark;
    img {
      max-width: 100%;
    }
    h1, h2, h3, h4, h5, h6 {
      text-align: left;
      color: black;
      margin-bottom: 2rem;
      @include media-breakpoint-down(sm) {
        margin-bottom: 1rem;
      }
    }
  }
</style>
